Skip to main content
Infrastructure/Agents
GETAgentSince 1.0SynchronousAuth Required

ListActiveLocks

List all currently active locks across all agents

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • agentIdString

      UUID of the agent on which the lock is held

      Example: agent-abc123-def456

    • operationTypeString

      Type of operation for which the lock was acquired

      Example: upgrade

    • holderString

      Current holder of the lock

      Example: upgrade-service

    • acquiredAtString

      Acquired at

      Example: 2026-01-15T08:00:00Z

    • expiresAtString

      Expires at

      Example: 2026-01-15T08:00:00Z

    • lockTokenString

      Token associated with this lock for release verification

      Example: lock-token-abc123

  • totalInteger

    Total number of currently active locks

    Example: 5

  • limitInteger

    Maximum number of lock statuses returned

    Example: 20

  • offsetInteger

    Number of entries skipped for pagination

    Example: 20

Endpoint

GET/api/v1/agents/locks

/api/v1/agents/locks

Operation ID

ListActiveLocks

Permalink

Request Example

curl -X GET '{host}/api/v1/agents/locks' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 5,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history